default:
  image: docker:18

services:
  - name: docker:dind
    entrypoint: ["env", "-u", "DOCKER_HOST"]
    command: ["dockerd-entrypoint.sh"]

variables:
  BUILD_IMAGE: $CI_REGISTRY_IMAGE:build-$CI_COMMIT_REF_SLUG

stages:
  - test
  - build

test-job:
  stage: test
  before_script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
  script:
    - echo "Not jet implemented"
    - docker build --file ${PWD}/Dockerfile -t $BUILD_IMAGE . && docker run $BUILD_IMAGE python Score_app/manage.py test authenticate
    - echo "JESSS"
    

build-job:
  stage: build
  before_script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
  script:
    - echo "This job builds the project"
    - docker build --file ${PWD}/Dockerfile -t $BUILD_IMAGE .
    - docker push $BUILD_IMAGE
